Skip to main content
POST
/
api
/
v1
/
campaigns
/
{uuid}
/
publish
Publish (activate) a campaign — schedule tasks and start processing
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/campaigns/{uuid}/publish \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/campaigns/{uuid}/publish"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/campaigns/{uuid}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Campaign published successfully",
  "data": {
    "campaign": {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "In Process",
      "campaign_type": "call"
    },
    "tasks_created": 123
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

UUID of the campaign to publish.

Response

Campaign is now In Process. Response includes the full campaign resource and the count of tasks just scheduled.

success
boolean
Example:

true

message
string
Example:

"Campaign published successfully"

data
object